KNOWLEDGE BASE

Data Engine in Error State with Error "The CPU does not meet the minimum requirements of this Hyper build"


Published: 19 Sep 2022
Last Modified Date: 20 Sep 2022

Issue

Tableau Server is Degraded and the Data Engine process is in an error state.

Environment

  • Tableau Server
  • Linux
  • Windows

Resolution

Verify that the CPU is configured as per the Tableau recommendation:
  • CPUs must support SSE4.2 and POPCNT instruction sets
  • For Microsoft Hyper-V, disable the Processor Compatibility Mode for the VM.
  • For VMWare, enable Enhanced vMotion Compatibility (EVC) and set the EVC baseline to at least Intel® Nehalem (L2) or AMD Opteron™ Generation 4 (B1).
Make any adjustments and reboot the VM.
 

Additional Information

Hyper logs generated by the Data Engine process and are located in the following folder:

C:\ProgramData\Tableau\Tableau Server\data\tabsvc\logs\hyper

The error will display in the logs as follows:

{"ts":"","pid":19752,"tid":"5e6c","sev":"fatal","req":"-","sess":"-","k":"incompatible-cpu","v":{"msg":"The CPU does not meet the minimum requirements of this Hyper build."}}


 
Did this article resolve the issue?